Subject: Re: LongTrail PCI resource assignment

From: Michel Dänzer <[email-masked]>
Date: Sat, 25 Mar 2000 15:15:03 +0100

Gabriel Paubert wrote:

> > But probably X will disable both 0x81000000->0x81ffffff and 0x81800000->
> > 0x81ffffff because they overlap the 0x81fff000->0x81ffffff range. No gain.
>
> Then X needs to be fixed, perhaps the generic X PCI code needs special
> hooks for individual drivers to check whether the configuration is
> acceptable or not.

Sounds a bit drastic to correct a small, isolated problem like this.

> OTOH I don't understand why something there (OF ?) insists in overlapping
> the registers with the VRAM, the PCI code in the kernel (2.3) should give
> the registers a separate area, saving 4kB of MMIO space is completely
> useless.

Right. If it is fixed more reasonably and easily in the kernel, why should it
be worked around in X?

Michel

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/